package com.zjrs.zwnw.bsdb.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.bsdb.dto.*;

public interface DbgzBLO {
    
    PageResult queryDbglRuleSelectList(DbglPageQueryDTO dto);

    PageResult queryDbglRuleList(DbglPageQueryDTO dto);

    DbglDTO dbglRuleSave(DbglRuleSaveDTO dto);

    void dbglRuleDelete(DbglRuleDeleteDTO dto);

    DbglDTO queryDbglRule(DbglRuleQueryDTO dto);

    PageResult queryDbglTrackList(DbglPageQueryDTO dto);

    PageResult queryDbglFeedbackList(DbglPageQueryDTO dto);

    PageResult queryDbglTaskList(DbglPageQueryDTO dto);
}
